Skip to main content
GET
Get Space details

Authorizations

x-api-key
string
header
required

Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.

Path Parameters

space_id
string
required

The unique ID of the Twitter Space.

Example:

"1eaJbrPZRwOKX"

Response

Successfully retrieved Space details.

Twitter Space (audio room) data.

id
string
required

Unique Space identifier.

Example:

"1eaJbrPZRwOKX"

title
string | null

Title of the Space.

state
string | null

Current state of the Space (e.g., live, scheduled, ended).

created_at
string | null

Timestamp when the Space was created.

started_at
string | null

Timestamp when the Space started.

ended_at
string | null

Timestamp when the Space ended.

creator_id
string | null

Numeric ID of the Space creator.

creator_username
string | null

Username of the Space creator.

creator_name
string | null

Display name of the Space creator.

participant_count
integer | null

Current number of participants.

total_participated
integer | null

Total number of users who participated.

total_live_listeners
integer | null

Number of live listeners.

is_ticketed
boolean | null

Whether the Space requires a ticket.

scheduled_start
string | null

Scheduled start time for upcoming Spaces.